Bug 499488 - No sound on Acer Aspire 8920g laptop (Realtek ALC889 1025:0145) [NEEDINFO]
No sound on Acer Aspire 8920g laptop (Realtek ALC889 1025:0145)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
: 499228 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 16:46 EDT by Adam Williamson
Modified: 2010-06-28 08:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtam524: needinfo? (extras-qa)


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2009-05-06 16:46:50 EDT
Fedora forum member mtam524 reported:

http://forums.fedoraforum.org/showpost.php?p=1210038&postcount=45

no sound from his Acer Aspire Acer 8920g laptop since F9, through F11. Further information followed:

http://forums.fedoraforum.org/showpost.php?p=1210444&postcount=48

including the alsa-info.sh output:

http://pastebin.com/m2e094428

from this I figured this is actually a pretty common issue. It has been discussed in at least two threads on ALSA mailing list:

http://mailman.alsa-project.org/pipermail/alsa-devel/2009-January/013682.html
http://mailman.alsa-project.org/pipermail/alsa-devel/2009-February/014781.html

the second is actually about the Aspire 8930, but I believe they have the same sound hardware (the same subsystem ID is reported by alsa-info.sh).

The first thread contains a partial patch half way through:

http://mailman.alsa-project.org/pipermail/alsa-devel/2009-January/014095.html

which claims to get at least output working on two out of three sets of channels (the card implements three pairs of channels, for analog surround).

The second thread contains a reported workaround:

"I followed instructions upgrading to latest alsa-driver-1.0.19 added "options
snd-hda-intel model=acer" to /etc/modprobe.d/alsa-base and
"/usr/local/bin/hda-verb /dev/snd/hwC0D0 0x15 SET_EAPD_BTLENABLE 2" to
/etc/rc.local.
JOY! I have sound.
So far so good.
Now my problem is I do not have capture (intrnal or external mic are not
working); I kept searching and found this thread.:I followed instructions upgrading to latest alsa-driver-1.0.19 added "options
snd-hda-intel model=acer" to /etc/modprobe.d/alsa-base and
"/usr/local/bin/hda-verb /dev/snd/hwC0D0 0x15 SET_EAPD_BTLENABLE 2" to
/etc/rc.local.
JOY! I have sound.
So far so good.
Now my problem is I do not have capture (intrnal or external mic are not
working); I kept searching and found this thread."

Finally, there is a Mandriva bug report for the 8930 (again referencing the same subsystem ID):

https://qa.mandriva.com/show_bug.cgi?id=45838

which led to an alternative partial patch from MDV's Herton Ronald Krzesinski, which again gets basic functionality working but not full surround output (and is apparently untested as far as input goes):

http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/kernel/current/PATCHES/patches/sound-alsa-hda-add-acer-alc889-model.patch?view=markup

I wanted to file a bug report so Fedora has somewhere central with all information about this model tracked, so hopefully we can work up a comprehensive fix and send it upstream...

I will ask the original reporter to sign up for Bugzilla (if he hasn't already) and post a comment to say he's ready to test fixes etc.
Comment 1 mtam254 2009-05-08 03:48:32 EDT
I'm the original reporter and I'm willing to test potential fixes.
Currently under work.
Comment 2 mtam254 2009-05-08 03:53:04 EDT
Note that I did already report a bug before you did :
https://bugzilla.redhat.com/show_bug.cgi?id=499228
Maybe we could merge both ?
Comment 3 mtam254 2009-05-08 04:30:07 EDT
Magic !!!!!!!!!!
It WORKS !!!
Thanks so much :)

---------------------------------------
Fix
---------------------------------------

1) Create a file named /etc/modprobe.d/audio.conf with one line containing :
           options snd-hda-intel model=acer
2) Download ftp://ftp.suse.com/pub/people/tiwai/misc/hda-verb-0.3.tar.gz uncompress it anywhere, cd to the place you uncompressed it, run make as root, then ./hda-verb /dev/snd/hwC0D0 0x15 SET_EAPD_BTLENABLE 2

3) Play a sound, it should work :) 

But ;) always a but... 
 - The headphones are not recognised and even when I do check the check box in volume control under parameters, it always plays on the laptop's 5.1 system. 
 - Which one appear to be working on only 2 speakers (disabling LFE, centre and surround doesn't change anything while playing 5.1 AC3 files)

Before I did it, I had already done some modification like :
 - adding my user to the pulse-access and pulse-rt group
 - giving authorisations to pulseaudio real-time scheduling and High priority scheduling
 - adding 6ch to pulse audio with a line in /home/your_user_name/.pulse/daemon.conf : 
      default-sample-channels = 6
Comment 4 mtam254 2009-05-08 04:40:15 EDT
you can add 6 channels for all users by adding the line 
 default-sample-channels = 6 
in /etc/pulse/daemon.conf instead of your home directory

I don't know wher to put "hda-verb /dev/snd/hwC0D0 0x15 SET_EAPD_BTLENABLE 2" so that it does it at boot time automatically.
Comment 5 Lennart Poettering 2009-05-08 09:37:12 EDT
*** Bug 499228 has been marked as a duplicate of this bug. ***
Comment 6 Adam Williamson 2009-05-08 14:33:03 EDT
mtam: you can stick it in /etc/rc.local , just that command on a line in that file. All commands in /etc/rc.local are run as root during boot up.
Comment 7 mtam254 2009-05-08 19:35:35 EDT
Thanks Adam, thanks Lennart,
for the 5.1 channels and jack not working, I did google it to but the above tricks don't work (with totem, vlc or whatever)
adding 6ch to pulse audio with "default-sample-channels = 6" in /home/your_user_name/.pulse/daemon.conf only make the volume control show 6 channels, but the new channels don't work... even when trying to configure them with "alsamixer -c0"

 - adding my user to the pulse-access and pulse-rt group
 - and giving authorisations to pulseaudio real-time scheduling and High priority
scheduling
remove sound crackling, I think it should be activated by default on Fedora11.

Maybe should I make a new bug report ?
Comment 8 Adam Williamson 2009-05-08 19:56:07 EDT
mtam: for the surround sound stuff, that problem is part of this report. You're not going to be able to fix it by playing with the Pulse settings.

The problem is that the partial workaround you're using isn't enough to get the second and third pairs of outputs actually working at the raw ALSA driver level, so changing settings at a higher level (as Pulse is) won't fix it. We need to come up with a full fix at the ALSA driver level to enable the full set of analog outputs. And by 'we' I mean 'Jaroslav' =)

For the crackling, it's possible that will require a second report, but it may also go away once we have this hardware properly supported at the ALSA level, so hang tight for now.
Comment 9 mtam254 2009-05-09 05:41:28 EDT
I stay tuned :)
For the crackling, I already fixed it by adding my user to the pulse-access and pulse-rt group and giving authorisations to pulseaudio real-time scheduling and High priority scheduling. I did write it so that this bug report fix as much things as possible about sound in Fedora. In fact, I did it before having sound, but when I tried to remove it, the sound started crackling, and when I did it back, sound worked properly again. So I think it's important to make all users part of pule-* groups and to give rights to those schedulding things by default on Fedora.
Sorry for my bad English.
I can't wait to have headphones and 5.1 :) Thanks again
Comment 10 Bug Zapper 2009-06-09 11:16:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Muayyad Alsadi 2009-06-23 06:26:47 EDT
a brother of mine using F11 on Acer Aspire 8920G, he have tested "hda-verb /dev/snd/hwC0D0 0x15 SET_EAPD_BTLENABLE 2" and it worked for him.
Comment 12 Bug Zapper 2010-04-27 10:09:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:24:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.